version: "3"
services:
  api:
    build:
      context: .
      dockerfile: Dockerfile
    restart: unless-stopped
    container_name: fastapi-mock
    ports:  
      - "4321:4321"
    user: "1002:1002"  
    environment:
      - WATCHFILES_FORCE_POLLING=true # This is needed for hot reloading to work on windows  (fix watch feature) for python
      - WATCHPACK_POLLING=true # This is needed for hot reloading to work on windows  (fix watch feature)
